#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmines/generic
  ${CMAKE_SOURCE_DIR}/kmines
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### solver (static) ###########################

tde_add_library( solver STATIC_PIC AUTOMOC
  SOURCES bfield.cpp solver.cpp advFastRules.cpp adviseFast.cpp adviseFull.cpp
)

# FIXME: add test targets to cmake
#
# ##### test (test) ###############################
#
# tde_add_executable( test AUTOMOC
#   SOURCES test.cpp
#   LINK solver-shared tdecore-shared
# )
#
# add_test( NAME test-test
#   COMMAND test)
#
#
# ##### testFast (test) ###########################
#
# tde_add_executable( testFast AUTOMOC
#   SOURCES testFast.cpp
#   LINK solver-shared tdecore-shared
# )
#
# add_test( NAME testFast-test
#   COMMAND testFast)
#
#
# ##### testSolve (test) ##########################
#
# tde_add_executable( testSolve AUTOMOC
#   SOURCES testSolve.cpp
#   LINK solver-shared tdecore-shared tdeui-shared
# )
#
# add_test( NAME testSolve-test
#   COMMAND testSolve)
#
#
# ##### testRate (test) ###########################
#
# tde_add_executable( testRate AUTOMOC
#   SOURCES testRate.cpp
#   LINK solver-shared tdecore-shared tdeui-shared
# )
#
# add_test( NAME testRate-test
#   COMMAND testRate)
